GFARMBB(1)

NAME
gfarmbb - start and stop Gfarm/BB (Gfarm for node-local burst buffer)

SYNOPSIS

gfarmbb [options] mode

DESCRIPTION

Gfarm/BB is an on-demand user-level file system for node-local storages on compute nodes. gfarmbb starts a Gfarm/BB and stops it. The mode should be start, stop or status. When the mode is start, it displays the environment variable that should be eval'ed to use Gfarm commands as follows;

% eval `gfarmbb start`

Basically, specify the same option for start, stop and status.

OPTIONS

-mpi mpirun_cmd
    sets up Gfarm/BB using MPI instead of gfarm-prun. mpirun_cmd is a command line to execute MPI that is used to configure and execute gfsd on each node. MPI command should execute 1 process per node. This option should be used with the -conf option. When using this option, the -e option and the -h option are ignored.

-e
    excludes Gfmd node from file system nodes. Gfmd is executed on the node where gfarmbb is executed. With this option, gfsd is not executed on that node. This option expects there are N + 1 node allocations, and gfarmbb is executed on the last host in the hostfile. This option is available only for gfarmbb start.

-h hostfile
    specifies a hostfile that contains a list of hostnames of compute nodes.

-scr scratch_dir
    specifies a scratch directory on each compute node for Gfarm/BB. If it does not exist, it is created. This directory will be removed by gfarmbb stop. Default is /tmp/gfarmbb-scratch.

-conf conf_dir
    specifies a scratch directory that can be shared among compute nodes to store temporal configuration files. If it does not exist, it is created. This directory will be removed by gfarmbb stop.

-l
    enables access to Gfarm/BB from login nodes. With this option, the Gfarm/BB configuration file $HOME/.gfarm2rc-$ID is created in the home directory. ID consists of the hostname of the master compute node and the process ID. To access to Gfarm/BB, specify it by GFARM_CONFIG_FILE environment variable.

-L log_dir
    specifies a log directory. If it does not exist, it is created. Log file names of gfmd and gfsd are gfmd-$ID.log and gfsd-$ID.log, respectively. Default directory is scratch_dir/log. This option is available only for gfarmbb start.

-m mount_point
    When this option is specified, a Gfarm/BB is mounted at the specified mount point on each compute node. mount.gfarm2fs is required. This option is available only for gfarmbb start.

-p period
    specifies the period of a shared secret key in seconds for Gfarm/BB. This period should be longer than the job execution duration. Default is 86400 seconds (1 day). This option is available only for gfarmbb start.

-c
    generates C-shell commands. This option is available only for gfarmbb start.

-s
    generates Bourne shell commands. This option is available only for gfarmbb start. This is default.